<?php
/*
Plugin Name: WP Posting for Profit Plugin
Plugin URI: http://www.vclarkblog.com/7038-2-posting-for-profit-plugin/
Description: Add affilate banners, links, ad sense, youtube and more to ALL of your posts with one update using this powerful plug-in! 
Version: 1.0
Author: Vi Clark
Author URI: http://www.vclarkblog.com/7038-2-posting-for-profit-plugin/
*/

define('PLUGIN_NAME', 'WP Posting for Profit');

function html_end($content)
{	
	if(is_single())
	{
		$end_content = get_option('html_end_content');//end content from the db
	
		$formatted = $content.$end_content;
	
		return $formatted;
	}
	else 
	{
		return $content;
	}
}

add_filter('the_content', 'html_end');


// create custom plugin settings menu
add_action('admin_menu', 'html_end_menu');

function html_end_menu() {

	//create new top-level menu
	add_menu_page(PLUGIN_NAME.' Settings', PLUGIN_NAME, 'administrator', __FILE__, 'html_end_settings_page');

	//call register settings function
	add_action( 'admin_init', 'register_mysettings' );
}


function register_mysettings() {
	//register our settings
	register_setting( 'html_end_gp', 'html_end_content' );
}

function html_end_settings_page() {
	
	$code = get_option('html_end_content');
	
	if($code == '')
	{
		$code = '<em><center>INSERT HTML or JAVASCRIPT CODE HERE</center></em>';
	}
	
?>
<div class="wrap">
<h2><?php echo PLUGIN_NAME; ?></h2>

<form method="post" action="options.php">
    <?php settings_fields( 'html_end_gp' ); ?>
    <table class="form-table">
        <tr valign="top">
        <th scope="row">End Content For Posts</th>
        <td>
			<textarea style="width: 741px; height: 141px;" name="html_end_content"><?php echo $code; ?></textarea> <br />
			<span class="description">Please include your HTML or Javascript code between the < center > and < /center > tags above. If you want to add another line of code just enter < br / > to create a line break. Thank you.</span>
		</td>
        </tr>
    </table>
    
    <p class="submit">
    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
    </p>

</form>
</div>
<?php } ?>